/*
Copyright (c) 2015 Red Hat, Inc.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

package org.ovirt.engine.sdk4.types;

import java.lang.String;
import java.math.BigInteger;

public interface HostDevice extends Identified {
    String capability();
    
    boolean capabilityPresent();
    
    String driver();
    
    boolean driverPresent();
    
    BigInteger iommuGroup();
    Byte iommuGroupAsByte();
    Short iommuGroupAsShort();
    Integer iommuGroupAsInteger();
    Long iommuGroupAsLong();
    
    boolean iommuGroupPresent();
    
    HostDevice physicalFunction();
    
    boolean physicalFunctionPresent();
    
    boolean placeholder();
    
    boolean placeholderPresent();
    
    Product product();
    
    boolean productPresent();
    
    Vendor vendor();
    
    boolean vendorPresent();
    
    BigInteger virtualFunctions();
    Byte virtualFunctionsAsByte();
    Short virtualFunctionsAsShort();
    Integer virtualFunctionsAsInteger();
    Long virtualFunctionsAsLong();
    
    boolean virtualFunctionsPresent();
    
    Host host();
    
    boolean hostPresent();
    
    HostDevice parentDevice();
    
    boolean parentDevicePresent();
    
    Vm vm();
    
    boolean vmPresent();
    
}
